Ticket #38244

LoadDTXDetail=ON時、起動時に例外が発生する場合がある

Open Date: 2018-05-02 22:28 Last Update: 2018-09-01 01:17

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

CONFIGURATION/System/LoadDTXDetailがONの時、DTXMania本体起動後1曲も曲データを演奏していない状態で曲データのenumeration(一覧情報取得)が完了すると、例外が発生する。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2018-05-02 22:28 Updated by: yyagi
  • New Ticket "LoadDTXDetail=ON時、起動時に例外が発生する場合がある" created
2018-05-02 22:32 Updated by: yyagi
Comment

LoadDetail=ONの時は、曲データのenumeration動作時にもDTXファイル内に登録されているbmp/aviファイルをすべて読みだしていた。曲データを1曲も再生していない状態のときは、このbmp読み込み前のフルパス生成時にNull Reference例外が発生していた。

対策として、以下を両方とも実施する。 1. bmpファイル読み出し時のフルパス生成において、nullチェック強化 2. enumerationでbmp/aviの読み込みを省略

2018-05-03 00:52 Updated by: yyagi
  • Resolution Update from None to Fixed
Comment

Rev. f91d9bc90580f8d4558a9cc41e0252802eacafff で対応済み。

2018-09-01 01:17 Updated by: yyagi
  • Status Update from Open to Closed
Comment

Release 113で修正版を公開済み。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login